import * as Joi from 'joi';

const app = require('../config/app');

class Validations {
  MessageConditions = {
    message_type: Joi.string().valid(app.messageTypes).insensitive().required(),
    channel: Joi.string(),
    channel_type: Joi.string(),
    client_type: Joi.string(),
    user_id: Joi.number().integer(),
    message: Joi.alternatives().try(Joi.string(), Joi.object()),
    custom: Joi.object()
  };

  constructor(message: any) {
    if (message.channel_type === 'custom') {
      const conditions = message.conditions;
    }
  }
}

export default Validations;
